gdal_proximity(1)

NAME
gdal_proximity - gdal_proximity.py produces a raster proximity map

SYNOPSIS

gdal_proximity.py srcfile dstfile [-srcband n] [-dstband n]
                  [-of format] [-co name=value]*
                  [-ot Byte/Int16/Int32/Float32/etc]
                  [-values n,n,n] [-distunits PIXEL/GEO]
                  [-maxdist n] [-nodata n] [-use_input_nodata YES/NO]
                  [-fixed-buf-val n]

DESCRIPTION

The gdal_proximity.py script generates a raster proximity map indicating the distance from the center of each pixel to the center of the nearest pixel identified as a target pixel. Target pixels are those in the source raster for which the raster pixel value is in the set of target pixel values.

srcfile
    The source raster file used to identify target pixels.

dstfile
    The destination raster file to which the proximity map will be written. It may be a pre-existing file of the same size as srcfile. If it does not exist it will be created.

-srcband n
    Identifies the band in the source file to use (default is 1).

-dstband n
    Identifies the band in the destination file to use (default is 1).

-of format:
    Select the output format. The default is GeoTIFF (GTiff). Use the short format name.

-co 'NAME=VALUE':
    passes a creation option to the output format driver. Multiple -co options may be listed. See format specific documentation for legal creation options for each format.

-ot datatype:
    Force the output image bands to have a specific type. Use type names (i.e. Byte, Int16,...)

-values n,n,n:
    A list of target pixel values in the source image to be considered target pixels. If not specified, all non-zero pixels will be considered target pixels.

-distunits PIXEL/GEO:
    Indicate whether distances generated should be in pixel or georeferenced coordinates (default PIXEL).

-maxdist n:
    The maximum distance to be generated. The nodata value will be used for pixels beyond this distance. If a nodata value is not provided, the output band will be queried for its nodata value. If the output band does not have a nodata value, then the value 65535 will be used. Distance is interpreted in pixels unless -distunits GEO is specified.

-nodata n:
    Specify a nodata value to use for the destination proximity raster.

-use_input_nodata YES/NO:
    (GDAL >= 2.0) Indicate whether nodata pixels in the input raster should be nodata in the output raster (default NO).

-fixed-buf-val n:
    Specify a value to be applied to all pixels that are within the -maxdist of target pixels (including the target pixels) instead of a distance value.

AUTHORS

Frank Warmerdam warmerdam@pobox.com